+++
title = "Rotation Stage"
author = ["Dehaeze Thomas"]
draft = false
category = "equipment"
+++

Tags
: [Slip Rings]({{< relref "slip_rings.md" >}})


## Spindle Metrology {#spindle-metrology}

-   <https://ingeniqs.be/engipedia/spindle-metrology/>
-   <https://ingeniqs.be/engipedia/error-separation-techniques/>


## Manufacturers {#manufacturers}

| Manufacturers                                             | Country |
|-----------------------------------------------------------|---------|
| [Huber](https://www.xhuber.com/en/)                       | Germany |
| [LAB Motion System](http://www.leuvenairbearings.com/)    | Belgium |
| [New Way Air Bearing](https://www.newwayairbearings.com/) | USA     |
| [PIC](https://www.airbearings.com/)                       | USA     |


## Spindle Errors {#spindle-errors}


### Air Bearing Spindle (RT150U) {#air-bearing-spindle--rt150u}

<a id="figure--fig:rotation-stage-rt150u-xyz-errors"></a>

{{< figure src="/ox-hugo/rotation_stage_rt150u_xyz_errors.png" caption="<span class=\"figure-number\">Figure 1: </span>RT150U - XYZ errors (eccentricity removed)" >}}

```matlab
%% Frequency Analysis
Nfft = floor(10.0/Ts);
win = hanning(Nfft);
Noverlap = floor(Nfft/2);

[pxx_ab_x, f_ab] = pwelch(x, win, Noverlap, Nfft, 1/Ts);
[pxx_ab_y, ~   ] = pwelch(y, win, Noverlap, Nfft, 1/Ts);
[pxx_ab_z, ~   ] = pwelch(z, win, Noverlap, Nfft, 1/Ts);
```

<a id="figure--fig:rotation-stage-rt150u-asd-errors"></a>

{{< figure src="/ox-hugo/rotation_stage_rt150u_asd_errors.png" caption="<span class=\"figure-number\">Figure 2: </span>Amplitude Spectral Density of the Spindle errors" >}}

<a id="figure--fig:rotation-stage-rt150u-cas-error"></a>

{{< figure src="/ox-hugo/rotation_stage_rt150u_cas_error.png" caption="<span class=\"figure-number\">Figure 3: </span>Cumulative Amplitude Spectrum - RT150U" >}}


### Mechanical Bearing Spindle (RT100BS) {#mechanical-bearing-spindle--rt100bs}

```matlab
%% 5 RPM - RT100BS from Lab Motion
load('/home/thomas/mnt/data_mel/MEL/meas_equipment/spindle/RT100BS_roundness_5rev_5RPM.mat', 'data');

Wz = 30; % 30 [deg/s] = 5 RPM
x = 1e3*detrend(data.meet_data.raw, 0); % Radial Error [nm]

Ts = 5*(360/Wz)/length(x);
```

```matlab
%% Frequency Analysis
Nfft = floor(10.0/Ts);
win = hanning(Nfft);
Noverlap = floor(Nfft/2);

[pxx_mb_x, f_mb] = pwelch(x, win, Noverlap, Nfft, 1/Ts);
```

<a id="figure--fig:rotation-stage-rt100bs-asd-errors"></a>

{{< figure src="/ox-hugo/rotation_stage_rt100bs_asd_errors.png" caption="<span class=\"figure-number\">Figure 4: </span>Amplitude Spectral Density of the Spindle errors" >}}

<a id="figure--fig:rotation-stage-rt100bs-cas-error"></a>

{{< figure src="/ox-hugo/rotation_stage_rt100bs_cas_error.png" caption="<span class=\"figure-number\">Figure 5: </span>Cumulative Amplitude Spectrum - RT100BS" >}}


## Bibliography {#bibliography}

<style>.csl-entry{text-indent: -1.5em; margin-left: 1.5em;}</style><div class="csl-bib-body">
</div>
